> For the complete documentation index, see [llms.txt](https://docs.algebra.finance/algebra-integral-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.algebra.finance/algebra-integral-documentation/algebra-v1-technical-reference/contracts/api-reference-v1.9/v1.9-tokenomics/ifarmingcentervault.md).

# IFarmingCenterVault

## Functions

### claimTokens

`function claimTokens(address token, address to, uint256 tokenId, bytes32 incentiveId) external` external

| Name        | Type    | Description |
| ----------- | ------- | ----------- |
| token       | address |             |
| to          | address |             |
| tokenId     | uint256 |             |
| incentiveId | bytes32 |             |

### setFarmingCenter

`function setFarmingCenter(address farming) external` external

| Name    | Type    | Description |
| ------- | ------- | ----------- |
| farming | address |             |

### lockTokens

`function lockTokens(uint256 tokenId, bytes32 incentiveId, uint256 tokenAmount) external` external

| Name        | Type    | Description |
| ----------- | ------- | ----------- |
| tokenId     | uint256 |             |
| incentiveId | bytes32 |             |
| tokenAmount | uint256 |             |

### balances

`function balances(uint256 tokenId, bytes32 incentiveId) external view returns (uint256 balance)` view external

| Name        | Type    | Description |
| ----------- | ------- | ----------- |
| tokenId     | uint256 |             |
| incentiveId | bytes32 |             |

**Returns:**

| Name    | Type    | Description |
| ------- | ------- | ----------- |
| balance | uint256 |             |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.algebra.finance/algebra-integral-documentation/algebra-v1-technical-reference/contracts/api-reference-v1.9/v1.9-tokenomics/ifarmingcentervault.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
